const fs = require('fs');

const download = require('download-git-repo');

module.exports = {
  async downloadGitZipFileAndExtract(zipUrl, type, destPath) {
    return new Promise((resolve) => {
      if (fs.existsSync(destPath)) {
        resolve(`文件夹 '${destPath}' 已存在`);
        process.exit(1);
      }
      download(`${type}:${zipUrl}`, destPath, {}, (err) => {
        if (err) {
          process.exit(1);
        }
        resolve();
      });
    });
  }
};
